condor_router_q(1)

Name

condor_router_qDisplay information about routed jobs in the queue

Synopsis
condor_router_q[-S] [-R] [-I] [-H] [-route name] [-idle] [-held] [-constraint X] [condor_q options]

Description
condor_router_qdisplays information about jobs managed by the condor_job_routerthat are in the HTCondor job queue. The functionality of this tool is that of condor_q, with additional options specialized for routed jobs. Therefore, any of the options for condor_qmay also be used with condor_router_q.

Options

-S

    Summarize the state of the jobs on each route.

-R

    Summarize the running jobs on each route.

-I

    Summarize the idle jobs on each route.

-H

    Summarize the held jobs on each route.

-route name

    Display only the jobs on the route identified by name.

-idle

    Display only the idle jobs.

-held

    Display only the held jobs.

-constraint X

    Display only the jobs matching constraint X.

Exit Status
condor_router_qwill exit with a status of 0 (zero) upon success, and non-zero otherwise.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.